Bug 193812 - [MAINTAINTER] devel/tortoisehg: Update to 3.1.1, Modernize
Summary: [MAINTAINTER] devel/tortoisehg: Update to 3.1.1, Modernize
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-21 14:30 UTC by Gleb Popov
Modified: 2014-09-30 14:13 UTC (History)
0 users

See Also:


Attachments
Diff to update to 3.1.1 (2.89 KB, patch)
2014-09-21 14:30 UTC, Gleb Popov
no flags Details | Diff
Diff to update to 3.1.1 (3.34 KB, patch)
2014-09-27 14:26 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2014-09-21 14:30:03 UTC
Created attachment 147527 [details]
Diff to update to 3.1.1
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-09-27 08:40:39 UTC
Some leftovers for me:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PYTHON_SITELIBDIR%%/tortoisehg/util/hgdispatch.py
Error: Orphaned: %%PYTHON_SITELIBDIR%%/tortoisehg/util/hgdispatch.pyc
Error: Orphaned: %%PYTHON_SITELIBDIR%%/tortoisehg/util/hgdispatch.pyo
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR

Can you verify that?
Comment 2 Gleb Popov freebsd_committer 2014-09-27 14:26:09 UTC
Created attachment 147728 [details]
Diff to update to 3.1.1

Oops, how did i missed this?
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2014-09-30 14:13:18 UTC
Committed in ports r369608. I removed the superfluous PORTREVISION line. Thanks!
Comment 4 commit-hook freebsd_committer 2014-09-30 14:13:43 UTC
A commit references this bug:

Author: mva
Date: Tue Sep 30 14:12:45 UTC 2014
New revision: 369608
URL: https://svnweb.freebsd.org/changeset/ports/369608

Log:
  - Update to version 3.1.1
  - Convert to USES=python

  PR:		193812
  Submitted by:	6yearold@gmail.com (maintainer)

Changes:
  head/devel/tortoisehg/Makefile
  head/devel/tortoisehg/distinfo
  head/devel/tortoisehg/pkg-plist